package thaumcraft.client.renderers.models.entities;

package ..deTemp.1742128577988;

import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelRenderer;
import net.minecraft.client.renderer.OpenGlHelper;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.util.MathHelper;
import org.lwjgl.opengl.GL11;
import thaumcraft.common.entities.monster.EntityEldritchGuardian;
import thaumcraft.common.entities.monster.boss.EntityEldritchWarden;

public class ModelEldritchGuardian extends ModelBase {
  ModelRenderer BeltR;
  
  ModelRenderer Mbelt;
  
  ModelRenderer MbeltL;
  
  ModelRenderer MbeltR;
  
  ModelRenderer BeltL;
  
  ModelRenderer Hood4;
  
  ModelRenderer Cloak3;
  
  ModelRenderer Chestplate;
  
  ModelRenderer HoodEye;
  
  ModelRenderer Hood1;
  
  ModelRenderer Hood2;
  
  ModelRenderer Hood3;
  
  ModelRenderer Backplate;
  
  ModelRenderer Cloak1;
  
  ModelRenderer Cloak2;
  
  ModelRenderer ShoulderplateTopR;
  
  ModelRenderer ShoulderplateR1;
  
  ModelRenderer ShoulderplateR2;
  
  ModelRenderer ShoulderplateR3;
  
  ModelRenderer ShoulderR;
  
  ModelRenderer ArmR3;
  
  ModelRenderer ArmL1;
  
  ModelRenderer ArmL3;
  
  ModelRenderer ArmR1;
  
  ModelRenderer ArmR2;
  
  ModelRenderer ArmL2;
  
  ModelRenderer ShoulderL;
  
  ModelRenderer ShoulderplateLtop;
  
  ModelRenderer ShoulderplateL1;
  
  ModelRenderer ShoulderplateL2;
  
  ModelRenderer ShoulderplateL3;
  
  ModelRenderer LegpanelR4;
  
  ModelRenderer LegpanelR5;
  
  ModelRenderer LegpanelR6;
  
  ModelRenderer SidepanelR1;
  
  ModelRenderer BackpanelR1;
  
  ModelRenderer BackpanelR2;
  
  ModelRenderer BackpanelR3;
  
  ModelRenderer BackpanelL3;
  
  ModelRenderer LegpanelL4;
  
  ModelRenderer LegpanelL5;
  
  ModelRenderer LegpanelL6;
  
  ModelRenderer SidepanelL1;
  
  ModelRenderer SidepanelR4;
  
  ModelRenderer BackpanelL1;
  
  ModelRenderer BackpanelL2;
  
  ModelRenderer LegpanelC1;
  
  ModelRenderer LegpanelC2;
  
  ModelRenderer LegpanelC3;
  
  ModelRenderer SidepanelR3;
  
  ModelRenderer SidepanelL4;
  
  ModelRenderer SidepanelL3;
  
  ModelRenderer SidepanelR2;
  
  ModelRenderer SidepanelL2;
  
  private float partialTicks;
  
  public ModelEldritchGuardian() {
    this.field_78090_t = 128;
    this.field_78089_u = 64;
    this.BeltR = new ModelRenderer(this, 76, 44);
    this.BeltR.func_78789_a(-5.0F, 4.0F, -3.0F, 1, 3, 6);
    this.BeltR.func_78793_a(0.0F, -6.0F, 0.0F);
    this.BeltR.func_78787_b(128, 64);
    this.BeltR.field_78809_i = true;
    setRotation(this.BeltR, 0.0F, 0.0F, 0.0F);
    this.Mbelt = new ModelRenderer(this, 56, 55);
    this.Mbelt.func_78789_a(-4.0F, 8.0F, -3.0F, 8, 4, 1);
    this.Mbelt.func_78793_a(0.0F, -6.0F, 0.0F);
    this.Mbelt.func_78787_b(128, 64);
    this.Mbelt.field_78809_i = true;
    setRotation(this.Mbelt, 0.0F, 0.0F, 0.0F);
    this.MbeltL = new ModelRenderer(this, 76, 44);
    this.MbeltL.func_78789_a(4.0F, 8.0F, -3.0F, 1, 3, 6);
    this.MbeltL.func_78793_a(0.0F, -6.0F, 0.0F);
    this.MbeltL.func_78787_b(128, 64);
    this.MbeltL.field_78809_i = true;
    setRotation(this.MbeltL, 0.0F, 0.0F, 0.0F);
    this.MbeltR = new ModelRenderer(this, 76, 44);
    this.MbeltR.func_78789_a(-5.0F, 8.0F, -3.0F, 1, 3, 6);
    this.MbeltR.func_78793_a(0.0F, -6.0F, 0.0F);
    this.MbeltR.func_78787_b(128, 64);
    this.MbeltR.field_78809_i = true;
    setRotation(this.MbeltR, 0.0F, 0.0F, 0.0F);
    this.BeltL = new ModelRenderer(this, 76, 44);
    this.BeltL.func_78789_a(4.0F, 4.0F, -3.0F, 1, 3, 6);
    this.BeltL.func_78793_a(0.0F, -6.0F, 0.0F);
    this.BeltL.func_78787_b(128, 64);
    this.BeltL.field_78809_i = true;
    setRotation(this.BeltL, 0.0F, 0.0F, 0.0F);
    this.Chestplate = new ModelRenderer(this, 56, 45);
    this.Chestplate.func_78789_a(-4.0F, 1.0F, -4.0F, 8, 7, 2);
    this.Chestplate.func_78793_a(0.0F, -6.0F, 0.0F);
    this.Chestplate.func_78787_b(128, 64);
    this.Chestplate.field_78809_i = true;
    setRotation(this.Chestplate, 0.0F, 0.0F, 0.0F);
    this.HoodEye = new ModelRenderer(this, 0, 0);
    this.HoodEye.func_78789_a(-4.0F, -8.0F, -4.0F, 8, 8, 8);
    this.HoodEye.func_78793_a(0.0F, -6.0F, 0.0F);
    this.HoodEye.func_78787_b(128, 64);
    this.HoodEye.field_78809_i = true;
    setRotation(this.HoodEye, 0.0F, 0.0F, 0.0F);
    this.Hood1 = new ModelRenderer(this, 40, 12);
    this.Hood1.func_78789_a(-4.0F, -8.0F, -4.0F, 8, 8, 8);
    this.Hood1.func_78793_a(0.0F, -6.0F, 0.0F);
    this.Hood1.func_78787_b(128, 64);
    this.Hood1.field_78809_i = true;
    setRotation(this.Hood1, 0.0F, 0.0F, 0.0F);
    this.Hood2 = new ModelRenderer(this, 36, 28);
    this.Hood2.func_78789_a(-3.5F, -8.7F, 2.0F, 7, 7, 3);
    this.Hood2.func_78787_b(128, 64);
    this.Hood2.field_78809_i = true;
    setRotation(this.Hood2, -0.2268928F, 0.0F, 0.0F);
    this.Hood3 = new ModelRenderer(this, 22, 19);
    this.Hood3.func_78789_a(-3.0F, -9.0F, 2.5F, 6, 6, 3);
    this.Hood3.func_78787_b(128, 64);
    this.Hood3.field_78809_i = true;
    setRotation(this.Hood3, -0.3490659F, 0.0F, 0.0F);
    this.Hood4 = new ModelRenderer(this, 40, 4);
    this.Hood4.func_78789_a(-2.5F, -9.7F, 3.5F, 5, 5, 3);
    this.Hood4.func_78787_b(128, 64);
    this.Hood4.field_78809_i = true;
    setRotation(this.Hood4, -0.5759587F, 0.0F, 0.0F);
    this.Hood1.func_78792_a(this.Hood2);
    this.Hood1.func_78792_a(this.Hood3);
    this.Hood1.func_78792_a(this.Hood4);
    this.Backplate = new ModelRenderer(this, 36, 45);
    this.Backplate.func_78789_a(-4.0F, 1.0F, 2.0F, 8, 11, 2);
    this.Backplate.func_78793_a(0.0F, -6.0F, 0.0F);
    this.Backplate.func_78787_b(128, 64);
    this.Backplate.field_78809_i = true;
    setRotation(this.Backplate, 0.0F, 0.0F, 0.0F);
    this.ShoulderplateTopR = new ModelRenderer(this, 110, 37);
    this.ShoulderplateTopR.func_78789_a(-5.5F, -2.5F, -3.5F, 2, 1, 7);
    this.ShoulderplateTopR.func_78793_a(-5.0F, -4.0F, 0.0F);
    this.ShoulderplateTopR.func_78787_b(128, 64);
    this.ShoulderplateTopR.field_78809_i = true;
    setRotation(this.ShoulderplateTopR, -0.3665191F, 0.3141593F, 0.4363323F);
    this.ShoulderplateR1 = new ModelRenderer(this, 110, 45);
    this.ShoulderplateR1.func_78789_a(3.5F, -1.5F, -3.5F, 1, 4, 7);
    this.ShoulderplateR1.func_78793_a(5.0F, -4.0F, 0.0F);
    this.ShoulderplateR1.func_78787_b(128, 64);
    this.ShoulderplateR1.field_78809_i = true;
    setRotation(this.ShoulderplateR1, -0.3665191F, -0.3141593F, -0.4363323F);
    this.ShoulderplateR2 = new ModelRenderer(this, 94, 45);
    this.ShoulderplateR2.func_78789_a(-3.5F, 1.5F, -3.5F, 1, 3, 7);
    this.ShoulderplateR2.func_78793_a(-5.0F, -4.0F, 0.0F);
    this.ShoulderplateR2.func_78787_b(128, 64);
    this.ShoulderplateR2.field_78809_i = true;
    setRotation(this.ShoulderplateR2, -0.3665191F, 0.3141593F, 0.4363323F);
    this.ShoulderplateR3 = new ModelRenderer(this, 94, 45);
    this.ShoulderplateR3.func_78789_a(-2.5F, 3.5F, -3.5F, 1, 3, 7);
    this.ShoulderplateR3.func_78793_a(-5.0F, -4.0F, 0.0F);
    this.ShoulderplateR3.func_78787_b(128, 64);
    this.ShoulderplateR3.field_78809_i = true;
    setRotation(this.ShoulderplateR3, -0.3665191F, 0.3141593F, 0.4363323F);
    this.ShoulderR = new ModelRenderer(this, 56, 35);
    this.ShoulderR.func_78789_a(-3.5F, -2.5F, -2.5F, 5, 5, 5);
    this.ShoulderR.func_78793_a(-5.0F, -4.0F, 0.0F);
    this.ShoulderR.func_78787_b(128, 64);
    this.ShoulderR.field_78809_i = true;
    setRotation(this.ShoulderR, -0.3665191F, 0.122173F, 0.0349066F);
    this.ArmL1 = new ModelRenderer(this, 72, 8);
    this.ArmL1.func_78789_a(-1.0F, 2.5F, -1.5F, 4, 10, 5);
    this.ArmL1.func_78793_a(5.0F, -4.0F, 0.0F);
    this.ArmL1.func_78787_b(128, 64);
    this.ArmL1.field_78809_i = true;
    setRotation(this.ArmL1, -0.9599311F, -0.1047198F, -0.1919862F);
    this.ArmL2 = new ModelRenderer(this, 76, 28);
    this.ArmL2.func_78789_a(-1.0F, 9.5F, 3.5F, 4, 3, 3);
    this.ArmL2.func_78787_b(128, 64);
    this.ArmL2.field_78809_i = true;
    this.ArmL3 = new ModelRenderer(this, 76, 23);
    this.ArmL3.func_78789_a(-1.0F, 6.5F, 3.5F, 4, 3, 2);
    this.ArmL3.func_78787_b(128, 64);
    this.ArmL3.field_78809_i = true;
    this.ArmL1.func_78792_a(this.ArmL2);
    this.ArmL1.func_78792_a(this.ArmL3);
    this.ArmR1 = new ModelRenderer(this, 72, 8);
    this.ArmR1.func_78789_a(-3.0F, 2.5F, -1.5F, 4, 10, 5);
    this.ArmR1.func_78793_a(-5.0F, -4.0F, 0.0F);
    this.ArmR1.func_78787_b(128, 64);
    this.ArmR1.field_78809_i = true;
    setRotation(this.ArmR1, -0.9599311F, 0.1047198F, 0.1919862F);
    this.ArmR2 = new ModelRenderer(this, 76, 28);
    this.ArmR2.func_78789_a(-3.0F, 9.5F, 3.5F, 4, 3, 3);
    this.ArmR2.func_78787_b(128, 64);
    this.ArmR2.field_78809_i = true;
    this.ArmR3 = new ModelRenderer(this, 76, 23);
    this.ArmR3.func_78789_a(-3.0F, 6.5F, 3.5F, 4, 3, 2);
    this.ArmR3.func_78787_b(128, 64);
    this.ArmR3.field_78809_i = true;
    this.ArmR1.func_78792_a(this.ArmR2);
    this.ArmR1.func_78792_a(this.ArmR3);
    this.ShoulderL = new ModelRenderer(this, 56, 35);
    this.ShoulderL.field_78809_i = true;
    this.ShoulderL.func_78789_a(-1.5F, -2.5F, -2.5F, 5, 5, 5);
    this.ShoulderL.func_78793_a(5.0F, -4.0F, 0.0F);
    this.ShoulderL.func_78787_b(128, 64);
    setRotation(this.ShoulderL, -0.3665191F, -0.122173F, -0.0349066F);
    this.ShoulderplateLtop = new ModelRenderer(this, 110, 37);
    this.ShoulderplateLtop.func_78789_a(3.5F, -2.5F, -3.5F, 2, 1, 7);
    this.ShoulderplateLtop.func_78793_a(5.0F, -4.0F, 0.0F);
    this.ShoulderplateLtop.func_78787_b(128, 64);
    this.ShoulderplateLtop.field_78809_i = true;
    setRotation(this.ShoulderplateLtop, -0.3665191F, -0.3141593F, -0.4363323F);
    this.ShoulderplateL1 = new ModelRenderer(this, 110, 45);
    this.ShoulderplateL1.func_78789_a(-4.5F, -1.5F, -3.5F, 1, 4, 7);
    this.ShoulderplateL1.func_78793_a(-5.0F, -4.0F, 0.0F);
    this.ShoulderplateL1.func_78787_b(128, 64);
    this.ShoulderplateL1.field_78809_i = true;
    setRotation(this.ShoulderplateL1, -0.3665191F, 0.3141593F, 0.4363323F);
    this.ShoulderplateLtop.field_78809_i = false;
    this.ShoulderplateL2 = new ModelRenderer(this, 94, 45);
    this.ShoulderplateL2.func_78789_a(2.5F, 1.5F, -3.5F, 1, 3, 7);
    this.ShoulderplateL2.func_78793_a(5.0F, -4.0F, 0.0F);
    this.ShoulderplateL2.func_78787_b(128, 64);
    this.ShoulderplateL2.field_78809_i = true;
    setRotation(this.ShoulderplateL2, -0.3665191F, -0.3141593F, -0.4363323F);
    this.ShoulderplateL2.field_78809_i = false;
    this.ShoulderplateL3 = new ModelRenderer(this, 94, 45);
    this.ShoulderplateL3.func_78789_a(1.5F, 3.5F, -3.5F, 1, 3, 7);
    this.ShoulderplateL3.func_78793_a(5.0F, -4.0F, 0.0F);
    this.ShoulderplateL3.func_78787_b(128, 64);
    this.ShoulderplateL3.field_78809_i = true;
    setRotation(this.ShoulderplateL3, -0.3665191F, -0.3141593F, -0.4363323F);
    this.ShoulderplateL3.field_78809_i = false;
    this.LegpanelR4 = new ModelRenderer(this, 0, 43);
    this.LegpanelR4.func_78789_a(-3.0F, 0.5F, -3.5F, 2, 3, 1);
    this.LegpanelR4.func_78793_a(-2.0F, 6.0F, 0.0F);
    this.LegpanelR4.func_78787_b(128, 64);
    this.LegpanelR4.field_78809_i = true;
    setRotation(this.LegpanelR4, -0.4363323F, 0.0F, 0.0F);
    this.LegpanelR5 = new ModelRenderer(this, 0, 47);
    this.LegpanelR5.func_78789_a(-3.0F, 2.5F, -2.5F, 2, 3, 1);
    this.LegpanelR5.func_78793_a(-2.0F, 6.0F, 0.0F);
    this.LegpanelR5.func_78787_b(128, 64);
    this.LegpanelR5.field_78809_i = true;
    setRotation(this.LegpanelR5, -0.4363323F, 0.0F, 0.0F);
    this.LegpanelR6 = new ModelRenderer(this, 6, 43);
    this.LegpanelR6.func_78789_a(-3.0F, 4.5F, -1.5F, 2, 3, 1);
    this.LegpanelR6.func_78793_a(-2.0F, 6.0F, 0.0F);
    this.LegpanelR6.func_78787_b(128, 64);
    this.LegpanelR6.field_78809_i = true;
    setRotation(this.LegpanelR6, -0.4363323F, 0.0F, 0.0F);
    this.BackpanelR1 = new ModelRenderer(this, 0, 18);
    this.BackpanelR1.func_78789_a(-3.0F, 0.5F, 2.5F, 5, 3, 1);
    this.BackpanelR1.func_78793_a(-2.0F, 6.0F, 0.0F);
    this.BackpanelR1.func_78787_b(128, 64);
    this.BackpanelR1.field_78809_i = true;
    setRotation(this.BackpanelR1, 0.4363323F, 0.0F, 0.0F);
    this.BackpanelR2 = new ModelRenderer(this, 0, 18);
    this.BackpanelR2.func_78789_a(-3.0F, 2.5F, 1.5F, 5, 3, 1);
    this.BackpanelR2.func_78793_a(-2.0F, 6.0F, 0.0F);
    this.BackpanelR2.func_78787_b(128, 64);
    this.BackpanelR2.field_78809_i = true;
    setRotation(this.BackpanelR2, 0.4363323F, 0.0F, 0.0F);
    this.BackpanelR3 = new ModelRenderer(this, 0, 18);
    this.BackpanelR3.func_78789_a(-3.0F, 4.5F, 0.5F, 5, 3, 1);
    this.BackpanelR3.func_78793_a(-2.0F, 6.0F, 0.0F);
    this.BackpanelR3.func_78787_b(128, 64);
    this.BackpanelR3.field_78809_i = true;
    setRotation(this.BackpanelR3, 0.4363323F, 0.0F, 0.0F);
    this.BackpanelL3 = new ModelRenderer(this, 0, 18);
    this.BackpanelL3.func_78789_a(-2.0F, 4.5F, 0.5F, 5, 3, 1);
    this.BackpanelL3.func_78793_a(2.0F, 6.0F, 0.0F);
    this.BackpanelL3.func_78787_b(128, 64);
    this.BackpanelL3.field_78809_i = true;
    setRotation(this.BackpanelL3, 0.4363323F, 0.0F, 0.0F);
    this.LegpanelL4 = new ModelRenderer(this, 0, 43);
    this.LegpanelL4.func_78789_a(1.0F, 0.5F, -3.5F, 2, 3, 1);
    this.LegpanelL4.func_78793_a(2.0F, 6.0F, 0.0F);
    this.LegpanelL4.func_78787_b(128, 64);
    this.LegpanelL4.field_78809_i = true;
    setRotation(this.LegpanelL4, -0.4363323F, 0.0F, 0.0F);
    this.LegpanelL4.field_78809_i = false;
    this.LegpanelL5 = new ModelRenderer(this, 0, 47);
    this.LegpanelL5.func_78789_a(1.0F, 2.5F, -2.5F, 2, 3, 1);
    this.LegpanelL5.func_78793_a(2.0F, 6.0F, 0.0F);
    this.LegpanelL5.func_78787_b(128, 64);
    this.LegpanelL5.field_78809_i = true;
    setRotation(this.LegpanelL5, -0.4363323F, 0.0F, 0.0F);
    this.LegpanelL5.field_78809_i = false;
    this.LegpanelL6 = new ModelRenderer(this, 6, 43);
    this.LegpanelL6.func_78789_a(1.0F, 4.5F, -1.5F, 2, 3, 1);
    this.LegpanelL6.func_78793_a(2.0F, 6.0F, 0.0F);
    this.LegpanelL6.func_78787_b(128, 64);
    this.LegpanelL6.field_78809_i = true;
    setRotation(this.LegpanelL6, -0.4363323F, 0.0F, 0.0F);
    this.LegpanelL6.field_78809_i = false;
    this.BackpanelL1 = new ModelRenderer(this, 0, 18);
    this.BackpanelL1.func_78789_a(-2.0F, 0.5F, 2.5F, 5, 3, 1);
    this.BackpanelL1.func_78793_a(2.0F, 6.0F, 0.0F);
    this.BackpanelL1.func_78787_b(128, 64);
    this.BackpanelL1.field_78809_i = true;
    setRotation(this.BackpanelL1, 0.4363323F, 0.0F, 0.0F);
    this.BackpanelL2 = new ModelRenderer(this, 0, 18);
    this.BackpanelL2.func_78789_a(-2.0F, 2.5F, 1.5F, 5, 3, 1);
    this.BackpanelL2.func_78793_a(2.0F, 6.0F, 0.0F);
    this.BackpanelL2.func_78787_b(128, 64);
    this.BackpanelL2.field_78809_i = true;
    setRotation(this.BackpanelL2, 0.4363323F, 0.0F, 0.0F);
    this.SidepanelL1 = new ModelRenderer(this, 0, 22);
    this.SidepanelL1.func_78789_a(1.5F, 0.5F, -2.5F, 1, 4, 5);
    this.SidepanelL1.func_78793_a(2.0F, 6.0F, 0.0F);
    this.SidepanelL1.func_78787_b(128, 64);
    this.SidepanelL1.field_78809_i = true;
    setRotation(this.SidepanelL1, 0.0F, 0.0F, -0.4363323F);
    this.SidepanelR1 = new ModelRenderer(this, 0, 22);
    this.SidepanelR1.func_78789_a(-2.5F, 0.5F, -2.5F, 1, 4, 5);
    this.SidepanelR1.func_78793_a(-2.0F, 6.0F, 0.0F);
    this.SidepanelR1.func_78787_b(128, 64);
    this.SidepanelR1.field_78809_i = true;
    setRotation(this.SidepanelR1, 0.0F, 0.0F, 0.4363323F);
    this.SidepanelR2 = new ModelRenderer(this, 0, 54);
    this.SidepanelR2.func_78789_a(0.0F, 0.0F, -0.5F, 1, 5, 5);
    this.SidepanelR2.func_78793_a(-4.5F, 9.5F, -2.0F);
    this.SidepanelR2.func_78787_b(128, 64);
    this.SidepanelR2.field_78809_i = true;
    setRotation(this.SidepanelR2, 0.0F, 0.0F, 0.122173F);
    this.SidepanelR3 = new ModelRenderer(this, 0, 35);
    this.SidepanelR3.func_78789_a(0.0F, 0.0F, -0.5F, 1, 3, 5);
    this.SidepanelR3.func_78793_a(0.0F, 5.0F, 0.0F);
    this.SidepanelR3.func_78787_b(128, 64);
    this.SidepanelR3.field_78809_i = true;
    setRotation(this.SidepanelR3, 0.0F, 0.0F, 0.296706F);
    this.SidepanelR4 = new ModelRenderer(this, 24, 35);
    this.SidepanelR4.func_78789_a(0.0F, 0.0F, -0.5F, 1, 3, 5);
    this.SidepanelR4.func_78793_a(0.0F, 3.0F, 0.0F);
    this.SidepanelR4.func_78787_b(128, 64);
    this.SidepanelR4.field_78809_i = true;
    setRotation(this.SidepanelR4, 0.0F, 0.0F, 0.5235988F);
    this.SidepanelL2 = new ModelRenderer(this, 0, 54);
    this.SidepanelL2.func_78789_a(0.0F, 0.0F, -0.5F, 1, 5, 5);
    this.SidepanelL2.func_78793_a(4.5F, 9.5F, -2.0F);
    this.SidepanelL2.func_78787_b(128, 64);
    this.SidepanelL2.field_78809_i = true;
    setRotation(this.SidepanelL2, 0.0F, 0.0F, -0.122173F);
    this.SidepanelL3 = new ModelRenderer(this, 0, 35);
    this.SidepanelL3.func_78789_a(0.0F, 0.0F, -0.5F, 1, 3, 5);
    this.SidepanelL3.func_78793_a(0.0F, 5.0F, 0.0F);
    this.SidepanelL3.func_78787_b(128, 64);
    this.SidepanelL3.field_78809_i = true;
    setRotation(this.SidepanelL3, 0.0F, 0.0F, -0.296706F);
    this.SidepanelL4 = new ModelRenderer(this, 24, 35);
    this.SidepanelL4.func_78789_a(0.0F, 0.0F, -0.5F, 1, 3, 5);
    this.SidepanelL4.func_78793_a(0.0F, 3.0F, 0.0F);
    this.SidepanelL4.func_78787_b(128, 64);
    this.SidepanelL4.field_78809_i = true;
    setRotation(this.SidepanelL4, 0.0F, 0.0F, -0.5235988F);
    this.LegpanelC1 = new ModelRenderer(this, 16, 45);
    this.LegpanelC1.func_78789_a(-3.0F, 0.0F, -0.5F, 6, 8, 1);
    this.LegpanelC1.func_78793_a(0.0F, 5.5F, -3.0F);
    this.LegpanelC1.func_78787_b(128, 64);
    this.LegpanelC1.field_78809_i = true;
    setRotation(this.LegpanelC1, 0.0F, 0.0F, 0.0F);
    this.LegpanelC2 = new ModelRenderer(this, 16, 54);
    this.LegpanelC2.func_78789_a(-3.0F, 0.0F, -0.5F, 6, 4, 1);
    this.LegpanelC2.func_78793_a(0.0F, 8.0F, 0.0F);
    this.LegpanelC2.func_78787_b(128, 64);
    this.LegpanelC2.field_78809_i = true;
    setRotation(this.LegpanelC2, 0.0F, 0.0F, 0.0F);
    this.LegpanelC3 = new ModelRenderer(this, 32, 59);
    this.LegpanelC3.func_78789_a(-3.0F, 0.0F, -0.5F, 6, 4, 1);
    this.LegpanelC3.func_78793_a(0.0F, 4.0F, 0.0F);
    this.LegpanelC3.func_78787_b(128, 64);
    this.LegpanelC3.field_78809_i = true;
    setRotation(this.LegpanelC3, 0.0F, 0.0F, 0.0F);
    this.Cloak1 = new ModelRenderer(this, 106, 0);
    this.Cloak1.func_78789_a(0.0F, 0.0F, -0.5F, 10, 18, 1);
    this.Cloak1.func_78793_a(-5.0F, -6.0F, 4.0F);
    this.Cloak1.func_78787_b(128, 64);
    this.Cloak1.field_78809_i = true;
    setRotation(this.Cloak1, 0.0F, 0.0F, 0.0F);
    this.Cloak2 = new ModelRenderer(this, 106, 19);
    this.Cloak2.func_78789_a(0.0F, 0.0F, -0.5F, 10, 4, 1);
    this.Cloak2.func_78793_a(0.0F, 18.0F, 0.0F);
    this.Cloak2.func_78787_b(128, 64);
    this.Cloak2.field_78809_i = true;
    setRotation(this.Cloak2, 0.0F, 0.0F, 0.0F);
    this.Cloak3 = new ModelRenderer(this, 106, 24);
    this.Cloak3.func_78789_a(0.0F, 0.0F, -0.5F, 10, 4, 1);
    this.Cloak3.func_78793_a(0.0F, 4.0F, 0.0F);
    this.Cloak3.func_78787_b(128, 64);
    this.Cloak3.field_78809_i = true;
    setRotation(this.Cloak3, 0.0F, 0.0F, 0.0F);
    this.LegpanelC1.func_78792_a(this.LegpanelC2);
    this.LegpanelC2.func_78792_a(this.LegpanelC3);
    this.SidepanelL2.func_78792_a(this.SidepanelL3);
    this.SidepanelL3.func_78792_a(this.SidepanelL4);
    this.SidepanelR2.func_78792_a(this.SidepanelR3);
    this.SidepanelR3.func_78792_a(this.SidepanelR4);
    this.Cloak1.func_78792_a(this.Cloak2);
    this.Cloak2.func_78792_a(this.Cloak3);
  }
  
  public void func_78086_a(EntityLivingBase p_78086_1_, float p_78086_2_, float p_78086_3_, float p_78086_4_) {
    this.partialTicks = p_78086_4_;
  }
  
  public void func_78088_a(Entity entity, float f, float f1, float f2, float f3, float f4, float f5) {
    super.func_78088_a(entity, f, f1, f2, f3, f4, f5);
    func_78087_a(f, f1, f2, f3, f4, f5, entity);
    this.BeltR.func_78785_a(f5);
    this.Mbelt.func_78785_a(f5);
    this.MbeltL.func_78785_a(f5);
    this.MbeltR.func_78785_a(f5);
    this.BeltL.func_78785_a(f5);
    this.Chestplate.func_78785_a(f5);
    this.Hood1.func_78785_a(f5);
    this.Backplate.func_78785_a(f5);
    this.ShoulderplateTopR.func_78785_a(f5);
    this.ShoulderplateR1.func_78785_a(f5);
    this.ShoulderplateR2.func_78785_a(f5);
    this.ShoulderplateR3.func_78785_a(f5);
    this.ShoulderR.func_78785_a(f5);
    this.ArmL1.func_78785_a(f5);
    this.ArmR1.func_78785_a(f5);
    this.ShoulderL.func_78785_a(f5);
    this.ShoulderplateLtop.func_78785_a(f5);
    this.ShoulderplateL1.func_78785_a(f5);
    this.ShoulderplateL2.func_78785_a(f5);
    this.ShoulderplateL3.func_78785_a(f5);
    this.LegpanelR4.func_78785_a(f5);
    this.LegpanelR5.func_78785_a(f5);
    this.LegpanelR6.func_78785_a(f5);
    this.BackpanelR1.func_78785_a(f5);
    this.BackpanelR2.func_78785_a(f5);
    this.BackpanelR3.func_78785_a(f5);
    this.BackpanelL3.func_78785_a(f5);
    this.LegpanelL4.func_78785_a(f5);
    this.LegpanelL5.func_78785_a(f5);
    this.LegpanelL6.func_78785_a(f5);
    this.BackpanelL1.func_78785_a(f5);
    this.BackpanelL2.func_78785_a(f5);
    this.Cloak1.func_78785_a(f5);
    this.SidepanelR1.func_78785_a(f5);
    this.SidepanelL1.func_78785_a(f5);
    this.SidepanelL2.func_78785_a(f5);
    this.SidepanelR2.func_78785_a(f5);
    this.LegpanelC1.func_78785_a(f5);
    if (entity instanceof EntityEldritchWarden) {
      GL11.glPushMatrix();
      GL11.glEnable(3042);
      GL11.glBlendFunc(770, 1);
      GL11.glScaled(1.01D, 1.01D, 1.01D);
      int j = (int)(195.0F + MathHelper.func_76126_a(entity.field_70173_aa / 3.0F) * 15.0F + 15.0F);
      int k = j % 65536;
      int l = j / 65536;
      OpenGlHelper.func_77475_a(OpenGlHelper.field_77476_b, k / 1.0F, l / 1.0F);
      this.HoodEye.func_78785_a(f5);
      GL11.glDisable(3042);
      GL11.glPopMatrix();
    } 
  }
  
  public void func_78087_a(float par1, float par2, float par3, float par4, float par5, float par6, Entity entity) {
    super.func_78087_a(par1, par2, par3, par4, par5, par6, entity);
    this.Hood1.field_78796_g = par4 / 57.295776F;
    this.Hood1.field_78795_f = par5 / 57.295776F;
    this.HoodEye.field_78795_f = this.Hood1.field_78795_f;
    this.HoodEye.field_78796_g = this.Hood1.field_78796_g;
    float alr = 0.0F;
    float all = 0.0F;
    if (entity instanceof EntityEldritchGuardian) {
      alr = ((EntityEldritchGuardian)entity).armLiftR;
      all = ((EntityEldritchGuardian)entity).armLiftL;
    } 
    if (entity instanceof EntityEldritchWarden) {
      alr = ((EntityEldritchWarden)entity).armLiftR;
      all = ((EntityEldritchWarden)entity).armLiftL;
    } 
    this.ArmL1.field_78795_f = -1.0F - all + MathHelper.func_76126_a(((entity.field_70173_aa + 20) + this.partialTicks) / 10.0F) * 0.08F;
    this.ArmR1.field_78795_f = -1.0F - alr + MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks) / 10.0F) * 0.08F;
    this.LegpanelC1.field_78795_f = -0.15F + MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks) / 8.0F) * 0.12F;
    this.LegpanelC2.field_78795_f = MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks - 5.0F) / 8.0F) * 0.13F;
    this.LegpanelC3.field_78795_f = MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks - 10.0F) / 8.0F) * 0.14F;
    this.Cloak1.field_78795_f = 0.2F + MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks) / 7.0F) * 0.08F;
    this.Cloak2.field_78795_f = MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks - 5.0F) / 7.0F) * 0.1F;
    this.Cloak3.field_78795_f = MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks - 10.0F) / 7.0F) * 0.12F;
    this.SidepanelL2.field_78808_h = -0.2F + MathHelper.func_76126_a(((entity.field_70173_aa + 10) + this.partialTicks) / 8.0F) * 0.12F;
    this.SidepanelL3.field_78808_h = MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks + 5.0F) / 8.0F) * 0.13F;
    this.SidepanelL4.field_78808_h = MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks) / 8.0F) * 0.14F;
    this.SidepanelR2.field_78808_h = 0.2F + MathHelper.func_76126_a(((entity.field_70173_aa - 5) + this.partialTicks) / 8.0F) * 0.12F;
    this.SidepanelR3.field_78808_h = MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks - 10.0F) / 8.0F) * 0.13F;
    this.SidepanelR4.field_78808_h = MathHelper.func_76126_a((entity.field_70173_aa + this.partialTicks - 15.0F) / 8.0F) * 0.14F;
  }
  
  private void setRotation(ModelRenderer model, float x, float y, float z) {
    model.field_78795_f = x;
    model.field_78796_g = y;
    model.field_78808_h = z;
  }
}
